package CRSDK;

@SuppressWarnings("unused")
public enum CrPropertyRAWJPCSaveImage {
    CrPropertyRAWJPCSaveImage_RAWAndJPEG (0),
    CrPropertyRAWJPCSaveImage_JPEGOnly (CrPropertyRAWJPCSaveImage_RAWAndJPEG.getValue()+1),
    CrPropertyRAWJPCSaveImage_RAWOnly (CrPropertyRAWJPCSaveImage_RAWAndJPEG.getValue()+2),
    CrPropertyRAWJPCSaveImage_RAWAndHEIF (CrPropertyRAWJPCSaveImage_RAWAndJPEG.getValue()+3),
    CrPropertyRAWJPCSaveImage_HEIFOnly (CrPropertyRAWJPCSaveImage_RAWAndJPEG.getValue()+4);

    private final CrInt16u value;
    CrPropertyRAWJPCSaveImage(int value) {
        this.value = new CrInt16u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
